Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.geom
Class SurfaceShape

    java.lang.Object
      gov.nasa.worldwind.geom.SurfaceShape

All Implemented Interfaces:
  Disposable, Renderable

Direct Known Subclasses:
  SurfacePolygon

    public abstract class SurfaceShape

extends Object
implements Renderable, Disposable

Constructor Summary
`SurfaceShape(Iterable<LatLon> positions, Color color, Color borderColor)`

Method Summary
`void` | `dispose()`
`protected abstract BufferedImage` | `drawShape(BufferedImage image)`
`Color` | `getBorderColor()`
`int` | `getNumEdgeIntervals()`
`Paint` | `getPaint()`
`ArrayList<LatLon>` | `getPositions()`
`Sector` | `getSector()`
`Stroke` | `getStroke()`
`int` | `getTextureSize()`
`boolean` | `isAntiAlias()`
`boolean` | `isDrawBorder()`
`boolean` | `isDrawInterior()`
`void` | `render(DrawContext dc)` Causes this `Renderable` to render itself using the `DrawContext` provided.
`void` | `setAntiAlias(boolean antiAlias)`
`void` | `setBorderColor(Color borderColor)`
`void` | `setDrawBorder(boolean drawBorder)`
`void` | `setDrawInterior(boolean drawInterior)`
`void` | `setNumEdgeIntervals(int numEdgeIntervals)`
`void` | `setPaint(Paint paint)`
`void` | `setStroke(Stroke stroke)`
`void` | `setTextureSize(int textureSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurfaceShape

    public SurfaceShape(Iterable<LatLon> positions,
                        Color color,
                        Color borderColor)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### drawShape

    protected abstract BufferedImage drawShape(BufferedImage image)

### getBorderColor

    public Color getBorderColor()

### getNumEdgeIntervals

    public int getNumEdgeIntervals()

### getPaint

    public Paint getPaint()

### getPositions

    public ArrayList<LatLon> getPositions()

### getSector

    public Sector getSector()

### getStroke

    public Stroke getStroke()

### getTextureSize

    public int getTextureSize()

### isAntiAlias

    public boolean isAntiAlias()

### isDrawBorder

    public boolean isDrawBorder()

### isDrawInterior

    public boolean isDrawInterior()

### render

    public void render(DrawContext dc)

  Description copied from interface: `Renderable`
  Causes this `Renderable` to render itself using the `DrawContext` provided. The `DrawContext` provides the elevation model, openGl instance, globe and other information required for drawing. It is recommended that the `DrawContext` is non-null as most implementations do not support null `DrawContext`s.

  Specified by:
    `render` in interface `Renderable`
  Parameters:
    `dc` - the `DrawContext` to be used
  See Also:
    `DrawContext`

### setAntiAlias

    public void setAntiAlias(boolean antiAlias)

### setBorderColor

    public void setBorderColor(Color borderColor)

### setDrawBorder

    public void setDrawBorder(boolean drawBorder)

### setDrawInterior

    public void setDrawInterior(boolean drawInterior)

### setNumEdgeIntervals

    public void setNumEdgeIntervals(int numEdgeIntervals)

### setPaint

    public void setPaint(Paint paint)

### setStroke

    public void setStroke(Stroke stroke)

### setTextureSize

    public void setTextureSize(int textureSize)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD